Retrieve customer by ID
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/customers/{customerId} \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/customers/{customerId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Customers
Retrieve customer by ID
GET
/
customers
/
{customerId}
Retrieve customer by ID
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/customers/{customerId} \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/customers/{customerId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Authorizations
Path Parameters
Query Parameters
Array of attribute, operator, and value parts.
Array or object containing either a team_id index, assigned_members index containing an array of member ids, or both.
Array of attribute and order values.
Response
Successful response
Related topics
Customer ReportsCreating a CustomerMaintenance Agreement ReportsFieldPulse APIPayment ReportsWas this page helpful?